Subject: [Sigtran] M3UA-v02 Last Call Comment: Section 4.5.3.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 8 May 2004 04:02:46 -0600

The following text appears in the draft in Section 4.5.3:

|  The SGP SHOULD respond to a DAUD message with the MTP3
|  availability/congested status of the routeset associated with each
|  Destination Point Code(s) in the DAUD message.  The status of each
|  SS7 destination requested is indicated in a DUNA message (if
|  unavailable), a DAVA message (if available), or a DRST (if restricted
|  and the SGP supports this feature).  Where the SGP maintains the
|  congestion status of the SS7 destination, the SGP MUST additionally
|  respond with an SCON message before the DAVA or DRST message.  If the
|  SS7 destination is available, the SGP MUST respond with an SCON
|  message (indicating the appropriate congestion level) and then a DAVA
|  message.  If the SS7 destination is restricted, the SGP MUST respond
|  with an SCON message (with the appropriate congestion level)
|  immediately followed by a DRST message.  If the SGP has no
|  information on the availability status of the SS7 destination, the
|  SGP responds with a DUNA message, as it has no routing information to
|  allow it to route traffic to this destination.

This text is horrible.  It tells me I MUST send a SCON and then tells me
I don't send a SCON.  It tells me I SHOULD send a DAVA/DUNA/DRST and then
tells me I MUST send one.  Please reword and simplify as follows:

>  The SGP SHOULD respond to a DAUD message with the MTP3
>  availability/congestion status of the routeset associated with each
>  Destination Point Code(s) in the DAUD message.  The status of each SS7
>  destination requested is indicated in a DUNA message (if unavailable), a
>  DAVA message (if available), or a DRST (if restricted and the SGP supports
>  this feature).  Where the SGP maintains the congestion status of the SS7
>  destination, the SGP MUST additionally respond with a SCON message before
>  the DAVA or DRST message.

We also need to strike this last sentence (same in the RFC):

|                                       ... If the SGP has no
|  information on the availability status of the SS7 destination, the
|  SGP responds with a DUNA message, as it has no routing information to
|  allow it to route traffic to this destination.

This is because the normal procedure of some SS7 variants is (such as at the
International level) is to consider all unknown destinations available (rather
than unavailable).

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran